cancel
Showing results for 
Search instead for 
Did you mean: 

Create lightweight bodies with NX Open.

Builder
Builder

Hi

 

We would like to create with User functions, lightweight bodies, exactly as they are created online with Assemblies --> Advance --> Representations --> Create.

The lightweight bodies that are created with Product Outline are not as axact as in Representations.

Can we create Representations lightweight bodies?

Thanks a lot,

Idit Gvirtz

2 REPLIES

Re: Create lightweight bodies with NX Open.

Siemens Phenom Siemens Phenom
Siemens Phenom

Yes, you can do this.

 

The relevent functions mostly reside in the following classes:

  • NXOpen.UF.UFFacet
  • NXOpen.Facet.FacetedBodyCollection
  • NXOpen.Facet.FacetedBody

In general, the NXOpen.UF.UFFacet functions were originally intended for use with NX-facet bodies, but, in many cases, they have been enhanced to work with JT-facet bodies, too. Conversely, the NXOpen.Facet functions work almost exclusively with JT-facet bodies.

 

The two specific functions that are likely to be useful are:

 

  • NXOpen.UF.UFFacet.FacetSolid
  • NXOpen.FacetedBodyCollection.CreateFacetBody
The first of these always creates an NX facet body, and the second one creates a JT facet body
山田
yamada

Re: Create lightweight bodies with NX Open.

Builder
Builder

Hi Yamada

 

Thanks a lot for the quick and very good answer.

It helped me a lot.

 

Idit Gevirtz